extends HBoxContainer


func _ready():
	await get_tree().create_timer(5).timeout
	for alpha in range(100, -1, -1):
		print(str(float(alpha) / 100.))
		
		self.modulate = Color(1, 1, 1, float(alpha) / 100.)
		await get_tree().create_timer(0.01).timeout
		
	free()
